# Google Cloud Data Catalog V1 Client - Class UpdateTagRequest (2.4.2)

2.4.2 (latest) 2.4.1 2.3.2 2.2.4 2.1.0 2.0.2 1.10.3 1.9.1 1.8.2 1.7.1 1.6.0 1.5.1 1.4.2 1.3.9 Reference documentation and code samples for the Google Cloud Data Catalog V1 Client class UpdateTagRequest.

Request message for
UpdateTag.

Generated from protobuf message `google.cloud.datacatalog.v1.UpdateTagRequest`

## Namespace

Google \\ Cloud \\ DataCatalog \\ V1

## Methods

### __construct

Constructor.

| **Parameters** ||
|---|---|
| **Name** | **Description** |
| `data` | `array` Optional. Data for populating the Message object. |
| `↳ tag` | `https://docs.cloud.google.com/php/docs/reference/cloud-data-catalog/latest/V1.Tag` Required. The updated tag. The "name" field must be set. |
| `↳ update_mask` | `https://protobuf.dev/reference/php/api-docs/Google/Protobuf/FieldMask` Names of fields whose values to overwrite on a tag. Currently, a tag has the only modifiable field with the name `fields`. In general, if this parameter is absent or empty, all modifiable fields are overwritten. If such fields are non-required and omitted in the request body, their values are emptied. |

### getTag

Required. The updated tag. The "name" field must be set.

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `https://docs.cloud.google.com/php/docs/reference/cloud-data-catalog/latest/V1.Tag|null` |   |

### hasTag

### clearTag

### setTag

Required. The updated tag. The "name" field must be set.

| **Parameter** ||
|---|---|
| **Name** | **Description** |
| `var` | `https://docs.cloud.google.com/php/docs/reference/cloud-data-catalog/latest/V1.Tag` |

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `$this` |   |

### getUpdateMask

Names of fields whose values to overwrite on a tag. Currently, a tag has
the only modifiable field with the name `fields`.

In general, if this parameter is absent or empty, all modifiable fields
are overwritten. If such fields are non-required and omitted in the
request body, their values are emptied.

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `https://protobuf.dev/reference/php/api-docs/Google/Protobuf/FieldMask|null` |   |

### hasUpdateMask

### clearUpdateMask

### setUpdateMask

Names of fields whose values to overwrite on a tag. Currently, a tag has
the only modifiable field with the name `fields`.

In general, if this parameter is absent or empty, all modifiable fields
are overwritten. If such fields are non-required and omitted in the
request body, their values are emptied.

| **Parameter** ||
|---|---|
| **Name** | **Description** |
| `var` | `https://protobuf.dev/reference/php/api-docs/Google/Protobuf/FieldMask` |

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `$this` |   |

### static::build

| **Parameter** ||
|---|---|
| **Name** | **Description** |
| `tag` | `https://docs.cloud.google.com/php/docs/reference/cloud-data-catalog/latest/V1.Tag` Required. The updated tag. The "name" field must be set. |

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `https://docs.cloud.google.com/php/docs/reference/cloud-data-catalog/latest/V1.UpdateTagRequest` |   |

### static::buildFromTagUpdateMask

| **Parameters** ||
|---|---|
| **Name** | **Description** |
| `tag` | `https://docs.cloud.google.com/php/docs/reference/cloud-data-catalog/latest/V1.Tag` Required. The updated tag. The "name" field must be set. |
| `updateMask` | `https://protobuf.dev/reference/php/api-docs/Google/Protobuf/FieldMask` Names of fields whose values to overwrite on a tag. Currently, a tag has the only modifiable field with the name `fields`. In general, if this parameter is absent or empty, all modifiable fields are overwritten. If such fields are non-required and omitted in the request body, their values are emptied. |

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `https://docs.cloud.google.com/php/docs/reference/cloud-data-catalog/latest/V1.UpdateTagRequest` |   |